# AbstractList Class Reference
[Things based on Standard PHP Library]

Base for handling Identifiable object's lists. More...

Inheritance diagram for AbstractList:
[legend]

List of all members.

## Public Member Functions

| offsetGet ($offset)
| offsetUnset ($offset)
| offsetExists ($offset)
| clean ()
| isEmpty ()
| getList ()
| set ($name, $var)
| get ($name)
| has ($name)
| drop ($name)

## Protected Attributes

| $list = array()

## Detailed Description

Base for handling Identifiable object's lists.

Definition at line 17 of file AbstractList.class.php.

## Member Function Documentation

AbstractList::clean | ( |  | ) |

Returns:
  AbstractList

Implements SimplifiedArrayAccess.

Definition at line 51 of file AbstractList.class.php.

AbstractList::drop | ( | $ | name | ) |

Implements SimplifiedArrayAccess.

Definition at line 83 of file AbstractList.class.php.

References offsetUnset().

Here is the call graph for this function:

AbstractList::get | ( | $ | name | ) |

Implements SimplifiedArrayAccess.

Definition at line 73 of file AbstractList.class.php.

References offsetGet().

Here is the call graph for this function:

AbstractList::getList | ( |  | ) |

Implements SimplifiedArrayAccess.

Definition at line 63 of file AbstractList.class.php.

AbstractList::has | ( | $ | name | ) |

Implements SimplifiedArrayAccess.

Definition at line 78 of file AbstractList.class.php.

References offsetExists().

Here is the call graph for this function:

AbstractList::isEmpty | ( |  | ) |

Implements SimplifiedArrayAccess.

Definition at line 58 of file AbstractList.class.php.

AbstractList::offsetExists | ( | $ | offset | ) |

Definition at line 41 of file AbstractList.class.php.

Referenced by has(), and IndexedList::offsetSet().

AbstractList::offsetGet | ( | $ | offset | ) |

Definition at line 21 of file AbstractList.class.php.

Referenced by get().

AbstractList::offsetUnset | ( | $ | offset | ) |

Returns:
  AbstractList

Definition at line 34 of file AbstractList.class.php.

Referenced by drop().

AbstractList::set | ( | $ | name,
|  | $ | var |
| ) |  |  |

Implements SimplifiedArrayAccess.

Definition at line 68 of file AbstractList.class.php.

## Member Data Documentation

AbstractList::$list = array()`[protected]`

Definition at line 19 of file AbstractList.class.php.

The documentation for this class was generated from the following file:

- main/SPL/AbstractList.class.php